Pending Work Events

A PendingWorkEvent is a log record for pending file work failures, such as GPG Encryption and GPG Decryption.

List Pending Work Events

Endpoint

GET/pending_work_events

Return Object

PendingWorkEvent[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Additional Arguments

Example Request

curl https://app.files.com/api/rest/v1/pending_work_events.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "event_type": "example",
    "status": "example",
    "body": "example",
    "event_errors": [
      "example"
    ],
    "created_at": "2000-01-01T01:00:00Z",
    "body_url": "example",
    "folder_behavior_id": 1
  }
]

Show Pending Work Event

Endpoint

GET/pending_work_events/{id}

Return Object

PendingWorkEvent

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Site Admin permissions.

Request Parameters

ParameterDescription
id
int64
Required
Pending Work Event ID.

Example Request

curl https://app.files.com/api/rest/v1/pending_work_events/{id}.json \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "folder_behavior_id": 1
}

The PendingWorkEvent Object

Some of the endpoints above return a PendingWorkEvent object. The attributes of this object are listed below.

AttributeDescription
id
int64
Event ID
event_type
string
Type of pending work event being recorded.
status
string
Status of event.
Possible values: success, failure, partial_failure, in_progress, skipped
body
string
Event body.
event_errors
array(string)
Event errors.
created_at
date-time
Event create date/time.
body_url
string
Link to log file.
folder_behavior_id
int64
Folder Behavior ID.

Example PendingWorkEvent Object

{
  "id": 1,
  "event_type": "example",
  "status": "example",
  "body": "example",
  "event_errors": [
    "example"
  ],
  "created_at": "2000-01-01T01:00:00Z",
  "body_url": "example",
  "folder_behavior_id": 1
}